Package com.xebialabs.xlrelease.domain.variables

## Class StringVariable

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.domain.variables.Variable
      - - com.xebialabs.xlrelease.domain.variables.Variable.VariableWithValue<java.lang.String>
        - - com.xebialabs.xlrelease.domain.variables.StringVariable

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `ReferenceVariable`

      public class StringVariable
      extends Variable.VariableWithValue<java.lang.String>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.xebialabs.xlrelease.domain.variables.Variable

      `Variable.VariableWithValue<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `multiline` |
    `protected boolean` | `preventInterpolation` |
    `protected java.lang.String` | `value` |

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.variables.Variable

      `description, inherited, key, label, requiresValue, showOnReleaseStart, valueProvider`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringVariable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getEmptyValue()` | Returns empty value for the specific sub type.
    `java.lang.String` | `getEmptyValueAsString()` |
    `boolean` | `getMultiline()` |
    `java.lang.String` | `getValue()` | Gets underlying value of this variable, or default value for templates.
    `java.lang.String` | `getValueAsString()` |
    `boolean` | `isPassword()` |
    `boolean` | `isPreventInterpolation()` |
    `boolean` | `isValueAssignableFrom​(java.lang.Object value)` |
    `void` | `setMultiline​(boolean multiline)` |
    `void` | `setPreventInterpolation​(boolean preventInterpolation)` |
    `void` | `setUntypedValue​(java.lang.Object newValue)` | Sets the underlying value of this variable from given object.
    `void` | `setValue​(java.lang.String value)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.variables.Variable

      `accept, checkFolderVariableValidity, checkGlobalVariableValidity, checkValidity, clone, escapeQuotes, getDescription, getInternalValue, getKey, getLabel, getRequiresValue, getShowOnReleaseStart, getValueProvider, isInherited, isValueEmpty, setDescription, setInherited, setKey, setLabel, setRequiresValue, setShowOnReleaseStart, setValueProvider`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          @Property(required=false,
                    description="Value of the release variable or default value of the template variable")
          protected java.lang.String value

    - #### multiline

          @Property(required=false,
                    defaultValue="false",
                    description="If checked variable value will be multiline text ")
          protected boolean multiline

    - #### preventInterpolation

          @Property(required=false,
                    description="Set this to true if you don\'t want the contents of this variable scanned for other variables and updated after the variables are resolved.")
          protected boolean preventInterpolation

  - ### Constructor Detail

    - #### StringVariable

          public StringVariable()

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

      Description copied from class: `Variable`
      Gets underlying value of this variable, or default value for templates. The specific type of value depends on the type of variable.
      Specified by:
        `getValue` in class `Variable.VariableWithValue<java.lang.String>`
      Returns:
        the underlying value of this variable, or default value for templates.

    - #### getMultiline

          public boolean getMultiline()

    - #### setMultiline

          public void setMultiline​(boolean multiline)

    - #### getEmptyValue

          public java.lang.String getEmptyValue()

      Description copied from class: `Variable`
      Returns empty value for the specific sub type. Empty value is used when replacing unset optional variables.
      Specified by:
        `getEmptyValue` in class `Variable`
      Returns:
        empty value for the specific sub type.

    - #### setValue

          public void setValue​(java.lang.String value)

      Specified by:
        `setValue` in class `Variable.VariableWithValue<java.lang.String>`

    - #### setUntypedValue

          public void setUntypedValue​(java.lang.Object newValue)

      Description copied from class: `Variable`
      Sets the underlying value of this variable from given object. If a conversion happens to be needed and fails, then an `IllegalArgumentException` will be thrown.
      Specified by:
        `setUntypedValue` in class `Variable`
      Parameters:
        `newValue` - the value to set: either of the type needed by this variable type, or one of convertible types.

    - #### isPassword

          public boolean isPassword()

      Specified by:
        `isPassword` in class `Variable`

    - #### getValueAsString

          public java.lang.String getValueAsString()

      Specified by:
        `getValueAsString` in class `Variable`

    - #### getEmptyValueAsString

          public java.lang.String getEmptyValueAsString()

      Specified by:
        `getEmptyValueAsString` in class `Variable`

    - #### isValueAssignableFrom

          public boolean isValueAssignableFrom​(java.lang.Object value)

      Specified by:
        `isValueAssignableFrom` in class `Variable`

    - #### isPreventInterpolation

          public boolean isPreventInterpolation()

    - #### setPreventInterpolation

          public void setPreventInterpolation​(boolean preventInterpolation)